Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions
mfhdf.h File Reference
`#include "hdf.h"`
`#include "hdf4_netcdf.h"`

## Data Structures
struct | hdf_varlist_t

## Macros
#define | HDF 1
#define | SD_UNLIMITED NC_UNLIMITED /* use this as marker for unlimited dimension */
#define | SD_NOFILL NC_NOFILL
#define | SD_FILL NC_FILL
#define | SD_DIMVAL_BW_COMP 1
#define | SD_DIMVAL_BW_INCOMP 0
#define | SD_RAGGED -1 /* marker for ragged dimension */

## Enumerations
enum | hdf_vartype_t { IS_SDSVAR = 0 , IS_CRDVAR = 1 , UNKNOWN = 2 }
enum | hdf_idtype_t { NOT_SDAPI_ID = -1 , SD_ID = 0 , SDS_ID , DIM_ID }

## Functions
HDFLIBAPI int32 | SDstart (const char *name, int32 accs)
HDFLIBAPI intn | SDend (int32 fid)
HDFLIBAPI intn | SDfileinfo (int32 fid, int32 *datasets, int32 *attrs)
HDFLIBAPI int32 | SDselect (int32 fid, int32 idx)
HDFLIBAPI intn | SDgetinfo (int32 sdsid, char *name, int32 *rank, int32 *dimsizes, int32 *nt, int32 *nattr)
HDFLIBAPI intn | SDreaddata (int32 sdsid, int32 *start, int32 *stride, int32 *end, void *data)
HDFLIBAPI uint16 | SDgerefnumber (int32 sdsid)
HDFLIBAPI int32 | SDnametoindex (int32 fid, const char *name)
HDFLIBAPI intn | SDnametoindices (int32 fid, const char *name, hdf_varlist_t *var_list)
HDFLIBAPI intn | SDgetnumvars_byname (int32 fid, const char *name, int32 *n_vars)
HDFLIBAPI intn | SDgetrange (int32 sdsid, void *pmax, void *pmin)
HDFLIBAPI int32 | SDcreate (int32 fid, const char *name, int32 nt, int32 rank, int32 *dimsizes)
HDFLIBAPI int32 | SDgetdimid (int32 sdsid, intn number)
HDFLIBAPI intn | SDsetdimname (int32 id, const char *name)
HDFLIBAPI intn | SDendaccess (int32 id)
HDFLIBAPI intn | SDsetrange (int32 sdsid, void *pmax, void *pmin)
HDFLIBAPI intn | SDsetattr (int32 id, const char *name, int32 nt, int32 count, const void *data)
HDFLIBAPI intn | SDattrinfo (int32 id, int32 idx, char *name, int32 *nt, int32 *count)
HDFLIBAPI intn | SDreadattr (int32 id, int32 idx, void *buf)
HDFLIBAPI intn | SDwritedata (int32 sdsid, int32 *start, int32 *stride, int32 *end, void *data)
HDFLIBAPI intn | SDsetdatastrs (int32 sdsid, const char *l, const char *u, const char *f, const char *c)
HDFLIBAPI intn | SDsetcal (int32 sdsid, float64 cal, float64 cale, float64 ioff, float64 ioffe, int32 nt)
HDFLIBAPI intn | SDsetfillvalue (int32 sdsid, void *val)
HDFLIBAPI intn | SDgetfillvalue (int32 sdsid, void *val)
HDFLIBAPI intn | SDsetfillmode (int32 id, intn fillmode)
HDFLIBAPI intn | SDgetdatastrs (int32 sdsid, char *l, char *u, char *f, char *c, intn len)
HDFLIBAPI intn | SDgetcal (int32 sdsid, float64 *cal, float64 *cale, float64 *ioff, float64 *ioffe, int32 *nt)
HDFLIBAPI intn | SDsetdimstrs (int32 id, const char *l, const char *u, const char *f)
HDFLIBAPI intn | SDsetdimscale (int32 id, int32 count, int32 nt, void *data)
HDFLIBAPI intn | SDgetdimscale (int32 id, void *data)
HDFLIBAPI intn | SDdiminfo (int32 id, char *name, int32 *size, int32 *nt, int32 *nattr)
HDFLIBAPI intn | SDgetdimstrs (int32 id, char *l, char *u, char *f, intn len)
HDFLIBAPI intn | SDgetexternalfile (int32 id, intn buf_size, char *ext_filename, int32 *offset)
HDFLIBAPI intn | SDgetexternalinfo (int32 id, uintn buf_size, char *ext_filename, int32 *offset, int32 *length)
HDFLIBAPI intn | SDsetexternalfile (int32 id, const char *filename, int32 offset)
HDFLIBAPI intn | SDsetnbitdataset (int32 id, intn start_bit, intn bit_len, intn sign_ext, intn fill_one)
HDFLIBAPI intn | SDsetcompress (int32 id, comp_coder_t type, comp_info *c_info)
HDFLIBAPI intn | SDgetcompress (int32 id, comp_coder_t *type, comp_info *c_info)
HDFLIBAPI intn | SDgetcompinfo (int32 id, comp_coder_t *type, comp_info *c_info)
HDFLIBAPI intn | SDgetcomptype (int32 id, comp_coder_t *type)
HDFLIBAPI int32 | SDfindattr (int32 id, const char *attrname)
HDFLIBAPI int32 | SDidtoref (int32 id)
HDFLIBAPI int32 | SDreftoindex (int32 fid, int32 ref)
HDFLIBAPI int32 | SDisrecord (int32 id)
HDFLIBAPI intn | SDiscoordvar (int32 id)
HDFLIBAPI intn | SDsetaccesstype (int32 id, uintn accesstype)
HDFLIBAPI intn | SDsetblocksize (int32 sdsid, int32 block_size)
HDFLIBAPI intn | SDgetblocksize (int32 sdsid, int32 *block_size)
HDFLIBAPI intn | SDsetdimval_comp (int32 dimid, intn compt_mode)
HDFLIBAPI intn | SDisdimval_bwcomp (int32 dimid)
HDFLIBAPI int32 | SDcheckempty (int32 sdsid, intn *emptySDS)
HDFLIBAPI hdf_idtype_t | SDidtype (int32 an_id)
HDFLIBAPI intn | SDreset_maxopenfiles (intn req_max)
HDFLIBAPI intn | SDget_maxopenfiles (intn *curr_max, intn *sys_limit)
HDFLIBAPI intn | SDget_numopenfiles (void)
HDFLIBAPI intn | SDgetdatasize (int32 sdsid, int32 *comp_size, int32 *uncomp_size)
HDFLIBAPI intn | SDgetfilename (int32 fid, char *filename)
HDFLIBAPI intn | SDgetnamelen (int32 sdsid, uint16 *name_len)
HDFLIBAPI intn | SDsetchunk (int32 sdsid, HDF_CHUNK_DEF chunk_def, int32 flags)
HDFLIBAPI intn | SDgetchunkinfo (int32 sdsid, HDF_CHUNK_DEF *chunk_def, int32 *flags)
HDFLIBAPI intn | SDwritechunk (int32 sdsid, int32 *origin, const void *datap)
HDFLIBAPI intn | SDreadchunk (int32 sdsid, int32 *origin, void *datap)
HDFLIBAPI intn | SDsetchunkcache (int32 sdsid, int32 maxcache, int32 flags)
HDFLIBAPI intn | SDgetdatainfo (int32 sdsid, int32 *chk_coord, uintn start_block, uintn info_count, int32 *offsetarray, int32 *lengtharray)
HDFLIBAPI intn | SDgetattdatainfo (int32 id, int32 attrindex, int32 *offset, int32 *length)
HDFLIBAPI intn | SDgetoldattdatainfo (int32 dimid, int32 sdsid, char *attr_name, int32 *offset, int32 *length)
HDFLIBAPI intn | SDgetanndatainfo (int32 sdsid, ann_type annot_type, uintn size, int32 *offsetarray, int32 *lengtharray)

## Macro Definition Documentation

## ◆ HDF

#define HDF 1

## ◆ SD_DIMVAL_BW_COMP

#define SD_DIMVAL_BW_COMP 1

## ◆ SD_DIMVAL_BW_INCOMP

#define SD_DIMVAL_BW_INCOMP 0

## ◆ SD_FILL

#define SD_FILL NC_FILL

## ◆ SD_NOFILL

#define SD_NOFILL NC_NOFILL

## ◆ SD_RAGGED

#define SD_RAGGED -1 /* marker for ragged dimension */

## ◆ SD_UNLIMITED

#define SD_UNLIMITED NC_UNLIMITED /* use this as marker for unlimited dimension */

## Enumeration Type Documentation

## ◆ hdf_idtype_t

enum hdf_idtype_t

Enumerator
NOT_SDAPI_ID |
SD_ID |
SDS_ID |
DIM_ID |

## ◆ hdf_vartype_t

enum hdf_vartype_t

Enumerator
IS_SDSVAR |
IS_CRDVAR |
UNKNOWN |

## Function Documentation

## ◆ SDattrinfo()

HDFLIBAPI intn SDattrinfo | ( | int32 | id,
|  | int32 | idx,
|  | char * | name,
|  | int32 * | nt,
|  | int32 * | count )

## ◆ SDcheckempty()

HDFLIBAPI int32 SDcheckempty | ( | int32 | sdsid,
|  | intn * | emptySDS )

## ◆ SDcreate()

HDFLIBAPI int32 SDcreate | ( | int32 | fid,
|  | const char * | name,
|  | int32 | nt,
|  | int32 | rank,
|  | int32 * | dimsizes )

## ◆ SDdiminfo()

HDFLIBAPI intn SDdiminfo | ( | int32 | id,
|  | char * | name,
|  | int32 * | size,
|  | int32 * | nt,
|  | int32 * | nattr )

## ◆ SDend()

HDFLIBAPI intn SDend | ( | int32 | fid | ) |

## ◆ SDendaccess()

HDFLIBAPI intn SDendaccess | ( | int32 | id | ) |

## ◆ SDfileinfo()

HDFLIBAPI intn SDfileinfo | ( | int32 | fid,
|  | int32 * | datasets,
|  | int32 * | attrs )

## ◆ SDfindattr()

HDFLIBAPI int32 SDfindattr | ( | int32 | id,
|  | const char * | attrname )

## ◆ SDgerefnumber()

HDFLIBAPI uint16 SDgerefnumber | ( | int32 | sdsid | ) |

## ◆ SDget_maxopenfiles()

HDFLIBAPI intn SDget_maxopenfiles | ( | intn * | curr_max,
|  | intn * | sys_limit )

## ◆ SDget_numopenfiles()

HDFLIBAPI intn SDget_numopenfiles | ( | void |  | ) |

## ◆ SDgetanndatainfo()

HDFLIBAPI intn SDgetanndatainfo | ( | int32 | sdsid,
|  | ann_type | annot_type,
|  | uintn | size,
|  | int32 * | offsetarray,
|  | int32 * | lengtharray )

## ◆ SDgetattdatainfo()

HDFLIBAPI intn SDgetattdatainfo | ( | int32 | id,
|  | int32 | attrindex,
|  | int32 * | offset,
|  | int32 * | length )

## ◆ SDgetblocksize()

HDFLIBAPI intn SDgetblocksize | ( | int32 | sdsid,
|  | int32 * | block_size )

## ◆ SDgetcal()

HDFLIBAPI intn SDgetcal | ( | int32 | sdsid,
|  | float64 * | cal,
|  | float64 * | cale,
|  | float64 * | ioff,
|  | float64 * | ioffe,
|  | int32 * | nt )

## ◆ SDgetchunkinfo()

HDFLIBAPI intn SDgetchunkinfo | ( | int32 | sdsid,
|  | HDF_CHUNK_DEF * | chunk_def,
|  | int32 * | flags )

## ◆ SDgetcompinfo()

HDFLIBAPI intn SDgetcompinfo | ( | int32 | id,
|  | comp_coder_t * | type,
|  | comp_info * | c_info )

## ◆ SDgetcompress()

HDFLIBAPI intn SDgetcompress | ( | int32 | id,
|  | comp_coder_t * | type,
|  | comp_info * | c_info )

## ◆ SDgetcomptype()

HDFLIBAPI intn SDgetcomptype | ( | int32 | id,
|  | comp_coder_t * | type )

## ◆ SDgetdatainfo()

HDFLIBAPI intn SDgetdatainfo | ( | int32 | sdsid,
|  | int32 * | chk_coord,
|  | uintn | start_block,
|  | uintn | info_count,
|  | int32 * | offsetarray,
|  | int32 * | lengtharray )

## ◆ SDgetdatasize()

HDFLIBAPI intn SDgetdatasize | ( | int32 | sdsid,
|  | int32 * | comp_size,
|  | int32 * | uncomp_size )

## ◆ SDgetdatastrs()

HDFLIBAPI intn SDgetdatastrs | ( | int32 | sdsid,
|  | char * | l,
|  | char * | u,
|  | char * | f,
|  | char * | c,
|  | intn | len )

## ◆ SDgetdimid()

HDFLIBAPI int32 SDgetdimid | ( | int32 | sdsid,
|  | intn | number )

## ◆ SDgetdimscale()

HDFLIBAPI intn SDgetdimscale | ( | int32 | id,
|  | void * | data )

## ◆ SDgetdimstrs()

HDFLIBAPI intn SDgetdimstrs | ( | int32 | id,
|  | char * | l,
|  | char * | u,
|  | char * | f,
|  | intn | len )

## ◆ SDgetexternalfile()

HDFLIBAPI intn SDgetexternalfile | ( | int32 | id,
|  | intn | buf_size,
|  | char * | ext_filename,
|  | int32 * | offset )

## ◆ SDgetexternalinfo()

HDFLIBAPI intn SDgetexternalinfo | ( | int32 | id,
|  | uintn | buf_size,
|  | char * | ext_filename,
|  | int32 * | offset,
|  | int32 * | length )

## ◆ SDgetfilename()

HDFLIBAPI intn SDgetfilename | ( | int32 | fid,
|  | char * | filename )

## ◆ SDgetfillvalue()

HDFLIBAPI intn SDgetfillvalue | ( | int32 | sdsid,
|  | void * | val )

## ◆ SDgetinfo()

HDFLIBAPI intn SDgetinfo | ( | int32 | sdsid,
|  | char * | name,
|  | int32 * | rank,
|  | int32 * | dimsizes,
|  | int32 * | nt,
|  | int32 * | nattr )

## ◆ SDgetnamelen()

HDFLIBAPI intn SDgetnamelen | ( | int32 | sdsid,
|  | uint16 * | name_len )

## ◆ SDgetnumvars_byname()

HDFLIBAPI intn SDgetnumvars_byname | ( | int32 | fid,
|  | const char * | name,
|  | int32 * | n_vars )

## ◆ SDgetoldattdatainfo()

HDFLIBAPI intn SDgetoldattdatainfo | ( | int32 | dimid,
|  | int32 | sdsid,
|  | char * | attr_name,
|  | int32 * | offset,
|  | int32 * | length )

## ◆ SDgetrange()

HDFLIBAPI intn SDgetrange | ( | int32 | sdsid,
|  | void * | pmax,
|  | void * | pmin )

## ◆ SDidtoref()

HDFLIBAPI int32 SDidtoref | ( | int32 | id | ) |

## ◆ SDidtype()

HDFLIBAPI hdf_idtype_t SDidtype | ( | int32 | an_id | ) |

## ◆ SDiscoordvar()

HDFLIBAPI intn SDiscoordvar | ( | int32 | id | ) |

## ◆ SDisdimval_bwcomp()

HDFLIBAPI intn SDisdimval_bwcomp | ( | int32 | dimid | ) |

## ◆ SDisrecord()

HDFLIBAPI int32 SDisrecord | ( | int32 | id | ) |

## ◆ SDnametoindex()

HDFLIBAPI int32 SDnametoindex | ( | int32 | fid,
|  | const char * | name )

## ◆ SDnametoindices()

HDFLIBAPI intn SDnametoindices | ( | int32 | fid,
|  | const char * | name,
|  | hdf_varlist_t * | var_list )

## ◆ SDreadattr()

HDFLIBAPI intn SDreadattr | ( | int32 | id,
|  | int32 | idx,
|  | void * | buf )

## ◆ SDreadchunk()

HDFLIBAPI intn SDreadchunk | ( | int32 | sdsid,
|  | int32 * | origin,
|  | void * | datap )

## ◆ SDreaddata()

HDFLIBAPI intn SDreaddata | ( | int32 | sdsid,
|  | int32 * | start,
|  | int32 * | stride,
|  | int32 * | end,
|  | void * | data )

## ◆ SDreftoindex()

HDFLIBAPI int32 SDreftoindex | ( | int32 | fid,
|  | int32 | ref )

## ◆ SDreset_maxopenfiles()

HDFLIBAPI intn SDreset_maxopenfiles | ( | intn | req_max | ) |

## ◆ SDselect()

HDFLIBAPI int32 SDselect | ( | int32 | fid,
|  | int32 | idx )

## ◆ SDsetaccesstype()

HDFLIBAPI intn SDsetaccesstype | ( | int32 | id,
|  | uintn | accesstype )

## ◆ SDsetattr()

HDFLIBAPI intn SDsetattr | ( | int32 | id,
|  | const char * | name,
|  | int32 | nt,
|  | int32 | count,
|  | const void * | data )

## ◆ SDsetblocksize()

HDFLIBAPI intn SDsetblocksize | ( | int32 | sdsid,
|  | int32 | block_size )

## ◆ SDsetcal()

HDFLIBAPI intn SDsetcal | ( | int32 | sdsid,
|  | float64 | cal,
|  | float64 | cale,
|  | float64 | ioff,
|  | float64 | ioffe,
|  | int32 | nt )

## ◆ SDsetchunk()

HDFLIBAPI intn SDsetchunk | ( | int32 | sdsid,
|  | HDF_CHUNK_DEF | chunk_def,
|  | int32 | flags )

## ◆ SDsetchunkcache()

HDFLIBAPI intn SDsetchunkcache | ( | int32 | sdsid,
|  | int32 | maxcache,
|  | int32 | flags )

## ◆ SDsetcompress()

HDFLIBAPI intn SDsetcompress | ( | int32 | id,
|  | comp_coder_t | type,
|  | comp_info * | c_info )

## ◆ SDsetdatastrs()

HDFLIBAPI intn SDsetdatastrs | ( | int32 | sdsid,
|  | const char * | l,
|  | const char * | u,
|  | const char * | f,
|  | const char * | c )

## ◆ SDsetdimname()

HDFLIBAPI intn SDsetdimname | ( | int32 | id,
|  | const char * | name )

## ◆ SDsetdimscale()

HDFLIBAPI intn SDsetdimscale | ( | int32 | id,
|  | int32 | count,
|  | int32 | nt,
|  | void * | data )

## ◆ SDsetdimstrs()

HDFLIBAPI intn SDsetdimstrs | ( | int32 | id,
|  | const char * | l,
|  | const char * | u,
|  | const char * | f )

## ◆ SDsetdimval_comp()

HDFLIBAPI intn SDsetdimval_comp | ( | int32 | dimid,
|  | intn | compt_mode )

## ◆ SDsetexternalfile()

HDFLIBAPI intn SDsetexternalfile | ( | int32 | id,
|  | const char * | filename,
|  | int32 | offset )

## ◆ SDsetfillmode()

HDFLIBAPI intn SDsetfillmode | ( | int32 | id,
|  | intn | fillmode )

## ◆ SDsetfillvalue()

HDFLIBAPI intn SDsetfillvalue | ( | int32 | sdsid,
|  | void * | val )

## ◆ SDsetnbitdataset()

HDFLIBAPI intn SDsetnbitdataset | ( | int32 | id,
|  | intn | start_bit,
|  | intn | bit_len,
|  | intn | sign_ext,
|  | intn | fill_one )

## ◆ SDsetrange()

HDFLIBAPI intn SDsetrange | ( | int32 | sdsid,
|  | void * | pmax,
|  | void * | pmin )

## ◆ SDstart()

HDFLIBAPI int32 SDstart | ( | const char * | name,
|  | int32 | accs )

## ◆ SDwritechunk()

HDFLIBAPI intn SDwritechunk | ( | int32 | sdsid,
|  | int32 * | origin,
|  | const void * | datap )

## ◆ SDwritedata()

HDFLIBAPI intn SDwritedata | ( | int32 | sdsid,
|  | int32 * | start,
|  | int32 * | stride,
|  | int32 * | end,
|  | void * | data )